File Requirements

Required Software

All of the free & premium templates on BrandPacks are available in Photoshop PSD & Illustrator Ai/Vector formats.

To edit these files, you will need either Adobe Photoshop or Adobe Illustrator. Both of these products are available with free 30-day trials.

You may be able to open our Photoshop PSD files with apps like GIMP, however, we do not actively support apps other than Photoshop or Illustrator.

What version do I need?

Most of our templates should work with CS4 and above, however, some more recent items may not be fully compatible. For this reason, we recommend using the latest Adobe CC version of both Photoshop and Illustrator.

Fonts

Throughout all of our templates, we use a range of custom fonts from various third party sources. If you do not already have a required font installed on your local machine, you’ll be prompted to install them when you open our files.

If you have an active Adobe CC subscriptions, Adobe Fonts can help by automatically installing most of the fonts we use in our templates.

Download links for all the required fonts are listed inside each template’s “Documentation” folder and in the item description.

If you are unable to find a required font, please don’t hesitate to contact support – we’ll be more than happy to help you out.

Hardware

We work hard to ensure our templates are lightweight and easy to customise regardless of your computer’s specifications.

As long as you have a modern laptop/desktop computer, using our templates should be easy.

You will not be able to customise our templates on mobile devices such as iPads & iPhones.